# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class Rfc3339Handler

    java.lang.Object
      com.google.gdata.util.XmlParser.ElementHandler
          com.google.gdata.data.Rfc3339Handler

    public class Rfc3339Handler

extends XmlParser.ElementHandler

Parser for the `atomPerson` type.

Field Summary

Fields inherited from class com.google.gdata.util.XmlParser.ElementHandler
`qName, value, xmlBase, xmlLang`

Constructor Summary
`Rfc3339Handler()`

Method Summary
`DateTime` `getDateTime()`
`void` `processEndElement()` Processes this element; overrides inherited method.

Methods inherited from class com.google.gdata.util.XmlParser.ElementHandler
`getAbsoluteUri, getBooleanAttribute, getChildHandler, getChildHandler, initializeXmlBlob, parseBooleanValue, processAttribute, processAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rfc3339Handler

    public Rfc3339Handler()

Method Detail

### getDateTime

    public DateTime getDateTime()

  Returns:
    the timestamp

### processEndElement

    public void processEndElement()
                           throws ParseException

  Processes this element; overrides inherited method.

  Overrides:
    `processEndElement` in class `XmlParser.ElementHandler`
  Throws:
    `ParseException`